/*!
 * Copyright (c) 2017-present Cliqz GmbH. All rights reserved.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */
/* eslint-disable prettier/prettier */
const networkFilterCodebook = [
    "/homad-global-configs.schneevonmorgen.com/global_config",
    "/videojs-vast-vpaid@2.0.2/bin/videojs_5.vast.vpaid.min",
    "/etc.clientlibs/logitech-common/clientlibs/onetrust.",
    "[\\/]{1,}.*[a-zA-Z0-9]{3,7}\\/[a-zA-Z0-9]{6,}\\/.*/",
    "/pagead/managed/js/adsense/*/show_ads_impl",
    "/^https?:\\/\\/[-a-z]{8,15}\\.(?:com|net)\\/",
    "/pagead/managed/js/gpt/*/pubads_impl",
    "/pagead/js/adsbygoogle.js",
    "/vans-adapter-google-ima",
    "/js/sdkloader/ima3_dai",
    "/js/sdkloader/ima3.js",
    "/videojs-contrib-ads",
    "/wp-content/plugins/",
    "/wp-content/uploads/",
    "/wp-content/themes/",
    "/detroitchicago/",
    "/appmeasurement",
    "/cdn-cgi/trace",
    "/style/03/img/",
    "\\/[a-zA-Z0-9]{",
    "/^https?:\\/\\/",
    "/^https:\\/\\/",
    "\\/[a-z0-9]{",
    "fingerprint",
    "impression",
    "notificati",
    "affiliate",
    "analytics",
    "(.+?\\.)?",
    "[0-9a-z]",
    "/assets/",
    "/images/",
    "template",
    "tracking",
    "300x250",
    "captcha",
    "collect",
    "consent",
    "content",
    "counter",
    "default",
    "privacy",
    "[a-z]{",
    "/embed",
    "/video",
    "728x90",
    "banner",
    "bundle",
    "client",
    "cookie",
    "detect",
    "dn-cgi",
    "google",
    "iframe",
    "metric",
    "module",
    "plugin",
    "prebid",
    "public",
    "script",
    "source",
    "widget",
    ".aspx",
    ".cgi?",
    ".com/",
    ".html",
    "/api/",
    "/beac",
    "/html",
    "/img/",
    "/java",
    "/page",
    "/stat",
    "block",
    "click",
    "count",
    "event",
    "image",
    "manag",
    "media",
    "pixel",
    "popup",
    "track",
    "type=",
    "visit",
    ".css",
    ".gif",
    ".jpg",
    ".min",
    ".php",
    ".png",
    "/jqu",
    "/js/",
    "/lib",
    "/log",
    "/web",
    "/wp-",
    "468x",
    "data",
    "gdpr",
    "gi-b",
    "heme",
    "mail",
    "page",
    "play",
    "stat",
    "uild",
    "view",
    ".js",
    "/ad",
    "/js",
    "=*&",
    "com",
    "img",
    "jax",
    "key",
    "log",
    "new",
    "sdk",
    "tag",
    "web",
    "ync",
    ":/",
    "*/",
    "*^",
    "/_",
    "/?",
    "/*",
    "/1",
    "/f",
    "/g",
    "/h",
    "/l",
    "/n",
    "/r",
    "/u",
    "/w",
    "^*",
    "00",
    "ad",
    "ag",
    "al",
    "am",
    "an",
    "ap",
    "ar",
    "as",
    "at",
    "bo",
    "ce",
    "ch",
    "ck",
    "co",
    "de",
    "di",
    "e-",
    "e/",
    "ed",
    "el",
    "en",
    "eo",
    "er",
    "et",
    "ex",
    "fi",
    "ic",
    "id",
    "in",
    "it",
    "js",
    "la",
    "le",
    "li",
    "lo",
    "ma",
    "mo",
    "mp",
    "ol",
    "om",
    "on",
    "op",
    "or",
    "ot",
    "ow",
    "re",
    "ri",
    "ro",
    "s_",
    "s-",
    "s?",
    "s/",
    "sh",
    "si",
    "sp",
    "ss",
    "st",
    "t/",
    "te",
    "ti",
    "tm",
    "tr",
    "ub",
    "um",
    "un",
    "ur",
    "ut",
    "ve",
    "_",
    "-",
    "?",
    ".",
    "}",
    "*",
    "/",
    "\\",
    "&",
    "^",
    "=",
    "0",
    "1",
    "2",
    "3",
    "4",
    "5",
    "6",
    "7",
    "8",
    "9",
    "a",
    "b",
    "c",
    "d",
    "e",
    "f",
    "g",
    "h",
    "i",
    "j",
    "k",
    "l",
    "m",
    "n",
    "o",
    "p",
    "q",
    "r",
    "s",
    "t",
    "u",
    "v",
    "w",
    "x",
    "y",
    "z"
];

export { networkFilterCodebook as default };
