import { html } from '../../../../../../hybrids/src/template/index.js';

/**
 * Ghostery Browser Extension
 * https://www.ghostery.com/
 *
 * Copyright 2017-present Ghostery GmbH. All rights reserved.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0
 */


const __vite_glob_0_0 = {
  type: 'danger',
  render: () => html`
    <template layout="row center padding:0.5:1">
      <ui-text type="label-s" color="settings-badge"><slot></slot></ui-text>
    </template>
  `.css`
    :host {
      border-radius: 8px;
      --ui-color-settings-badge: currentColor;
    }
    
    :host([type="danger"]) {
      color: var(--ui-color-danger-700);
      background: var(--ui-color-danger-100);
    }

    :host([type="primary"]) {
      color: var(--ui-color-primary-700);
      background: var(--ui-color-primary-100);
    }

    ui-text {
      text-transform: uppercase;
    }
  `,
};

export { __vite_glob_0_0 as default };
